pipeline{
    agent any
    stages {
        stage('Preparation') {
            steps {
                git branch:'main',
                url:'https://gitlab.com/suchitha.rs99/mypipelines-java.git',
                credentialsId:'gitlab_creds'
                echo "checkout success"
            }
        }
        stage("Build") {
            steps {
                dir('/var/lib/jenkins/workspace/secondQ'){
                    
                }
            }
        }
        stage("Test"){
            steps{
                sh 'mvn -B -DskipTests clean package'
            }
        }
    }
}
